Skip to main content
GET
/
v1
/
checkout-links
Go (SDK)
package main

import(
	"context"
	"os"
	polargo "github.com/polarsource/polar-go"
	"github.com/polarsource/polar-go/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := polargo.New(
        polargo.WithSecurity(os.Getenv("POLAR_ACCESS_TOKEN")),
    )

    res, err := s.CheckoutLinks.List(ctx, operations.CheckoutLinksListRequest{
        OrganizationID: polargo.Pointer(operations.CreateCheckoutLinksListQueryParamOrganizationIDFilterStr(
            "1dbfc517-0bbf-4301-9ba8-555ca42b9737",
        )),
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.ListResourceCheckoutLink != nil {
        for {
            // handle items

            res, err = res.Next()

            if err != nil {
                // handle error
            }

            if res == nil {
                break
            }
        }
    }
}
{
  "items": [
    {
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "modified_at": "2023-11-07T05:31:56Z",
      "trial_interval": "day",
      "trial_interval_count": 123,
      "metadata": {},
      "payment_processor": "stripe",
      "client_secret": "<string>",
      "success_url": "<string>",
      "return_url": "<string>",
      "label": "<string>",
      "allow_discount_codes": true,
      "require_billing_address": true,
      "discount_id": "<string>",
      "organization_id": "<string>",
      "products": [
        {
          "metadata": {},
          "id": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "modified_at": "2023-11-07T05:31:56Z",
          "trial_interval": "day",
          "trial_interval_count": 123,
          "name": "<string>",
          "description": "<string>",
          "visibility": "draft",
          "recurring_interval": "day",
          "recurring_interval_count": 123,
          "is_recurring": true,
          "is_archived": true,
          "organization_id": "<string>",
          "prices": [
            {
              "created_at": "2023-11-07T05:31:56Z",
              "modified_at": "2023-11-07T05:31:56Z",
              "id": "<string>",
              "source": "catalog",
              "amount_type": "<string>",
              "price_currency": "<string>",
              "tax_behavior": "location",
              "is_archived": true,
              "product_id": "<string>",
              "type": "<string>",
              "recurring_interval": "day",
              "price_amount": 123,
              "legacy": true
            }
          ],
          "benefits": [
            {
              "id": "<string>",
              "created_at": "2023-11-07T05:31:56Z",
              "modified_at": "2023-11-07T05:31:56Z",
              "type": "custom",
              "description": "<string>",
              "selectable": true,
              "deletable": true,
              "is_deleted": true,
              "organization_id": "<string>"
            }
          ],
          "medias": [
            {
              "id": "<string>",
              "organization_id": "<string>",
              "name": "<string>",
              "path": "<string>",
              "mime_type": "<string>",
              "size": 123,
              "storage_version": "<string>",
              "checksum_etag": "<string>",
              "checksum_sha256_base64": "<string>",
              "checksum_sha256_hex": "<string>",
              "last_modified_at": "2023-11-07T05:31:56Z",
              "version": "<string>",
              "service": "<string>",
              "is_uploaded": true,
              "created_at": "2023-11-07T05:31:56Z",
              "size_readable": "<string>",
              "public_url": "<string>"
            }
          ]
        }
      ],
      "discount": {
        "duration": "once",
        "type": "fixed",
        "amount": 123,
        "currency": "<string>",
        "amounts": {},
        "created_at": "2023-11-07T05:31:56Z",
        "modified_at": "2023-11-07T05:31:56Z",
        "id": "<string>",
        "metadata": {},
        "name": "<string>",
        "code": "<string>",
        "starts_at": "2023-11-07T05:31:56Z",
        "ends_at": "2023-11-07T05:31:56Z",
        "max_redemptions": 123,
        "redemptions_count": 123,
        "organization_id": "<string>"
      },
      "url": "<string>"
    }
  ],
  "pagination": {
    "total_count": 123,
    "max_page": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://polar.sh/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

You can generate an Organization Access Token from your organization's settings.

Query Parameters

organization_id

Filter by organization ID. The organization ID.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

product_id

Filter by product ID. The product ID.

page
integer
default:1

Page number, defaults to 1.

limit
integer
default:10

Size of a page, defaults to 10. Maximum is 100.

sorting
enum<string>[] | null

Sorting criterion. Several criteria can be used simultaneously and will be applied in order. Add a minus sign - before the criteria name to sort by descending order.

Available options:
created_at,
-created_at,
label,
-label,
success_url,
-success_url,
allow_discount_codes,
-allow_discount_codes

Response

Successful Response

items
CheckoutLink · object[]
required
pagination
Pagination · object
required